Create slack boost
curl --request POST \
--url https://app.tryordinal.com/api/v1/slack-boosts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"postId": "550e8400-e29b-41d4-a716-446655440300",
"slackWebhookId": "550e8400-e29b-41d4-a716-446655440920",
"copy": "New post — please like and share!"
}
'import requests
url = "https://app.tryordinal.com/api/v1/slack-boosts"
payload = {
"postId": "550e8400-e29b-41d4-a716-446655440300",
"slackWebhookId": "550e8400-e29b-41d4-a716-446655440920",
"copy": "New post — please like and share!"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
postId: '550e8400-e29b-41d4-a716-446655440300',
slackWebhookId: '550e8400-e29b-41d4-a716-446655440920',
copy: 'New post — please like and share!'
})
};
fetch('https://app.tryordinal.com/api/v1/slack-boosts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"slackBoost": {
"id": "550e8400-e29b-41d4-a716-446655440910",
"copy": "New post — please like and share!",
"isAutoCreated": false,
"postId": "550e8400-e29b-41d4-a716-446655440300",
"slackWebhook": {
"id": "550e8400-e29b-41d4-a716-446655440920",
"channelName": "marketing-boost",
"teamName": "Acme Corp"
},
"createdAt": "2026-01-15T10:30:00.000Z",
"updatedAt": "2026-01-15T10:30:00.000Z"
}
}{
"code": "BAD_REQUEST",
"message": "Bad Request",
"data": {
"errors": {
"publishAt": [
"Invalid date format"
],
"status": [
"Invalid enum value"
]
}
}
}{
"code": "UNAUTHORIZED",
"message": "Invalid or unauthorized API key"
}{
"code": "NOT_FOUND",
"message": "Post not found or does not belong to this workspace"
}Slack Boosts
Create slack boost
Create a slack boost for a post. When the post publishes, Ordinal sends a notification to the selected Slack channel. Each post can have at most one slack boost. Use a slackWebhookId from a connected Slack marketing boost channel.
POST
/
slack-boosts
Create slack boost
Authorizations
API key authentication. Generate an API key from your workspace settings.
Body
application/json
Response
Slack boost created
A slack boost sends a Slack notification when its post publishes
Show child attributes
Show child attributes
Was this page helpful?
⌘I